| QxOrm 1.1.9 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

Classes | Namespaces | Files | Functions
QxSerialize : QxOrm library serialization engine based on 'boost::serialization' library

## Classes
class | qx::QxArchive< T, ArchiveInput, ArchiveOutput >
| qx::QxArchive : provide some tools to serialize a class registered into QxOrm context into/from binary/text/XML archives (file, string, etc.) More...
## Namespaces
namespace | qx::serialization

| QxOrm library serialization engine based on boost::serialization library.
namespace | qx::serialization::detail

| Internal helper tools for qx::serialization namespace.
namespace | qx::serialization::wide

| QxOrm library serialization engine for wide archive.
namespace | qx::serialization::polymorphic_binary

| serialize a class registered into QxOrm context into/from polymorphic_binary archive (file, string, etc.) : activate this feature using _QX_SERIALIZE_POLYMORPHIC in QxConfig.h file
namespace | qx::serialization::polymorphic_text

| serialize a class registered into QxOrm context into/from polymorphic_text archive (file, string, etc.) : activate this feature using _QX_SERIALIZE_POLYMORPHIC in QxConfig.h file
namespace | qx::serialization::polymorphic_xml

| serialize a class registered into QxOrm context into/from polymorphic_xml archive (file, string, etc.) : activate this feature using _QX_SERIALIZE_POLYMORPHIC in QxConfig.h file
namespace | qx::serialization::binary

| serialize a class registered into QxOrm context into/from binary archive (file, string, etc.) : activate this feature using _QX_SERIALIZE_BINARY in QxConfig.h file
namespace | qx::serialization::text

| serialize a class registered into QxOrm context into/from text archive (file, string, etc.) : activate this feature using _QX_SERIALIZE_TEXT in QxConfig.h file
namespace | qx::serialization::xml

| serialize a class registered into QxOrm context into/from XML archive (file, string, etc.) : activate this feature using _QX_SERIALIZE_XML in QxConfig.h file
namespace | qx::serialization::portable_binary

| serialize a class registered into QxOrm context into/from portable_binary archive (file, string, etc.) : activate this feature using _QX_SERIALIZE_PORTABLE_BINARY in QxConfig.h file
namespace | qx::serialization::wide::binary

| serialize a class registered into QxOrm context into/from wide binary archive (file, string, etc.) : activate this feature using _QX_SERIALIZE_WIDE_BINARY in QxConfig.h file
namespace | qx::serialization::wide::text

| serialize a class registered into QxOrm context into/from wide text archive (file, string, etc.) : activate this feature using _QX_SERIALIZE_WIDE_TEXT in QxConfig.h file
namespace | qx::serialization::wide::xml

| serialize a class registered into QxOrm context into/from wide XML archive (file, string, etc.) : activate this feature using _QX_SERIALIZE_WIDE_XML in QxConfig.h file
## Files
file | QxArchive.h

| Provide some tools to serialize a class registered into QxOrm context into/from binary/XML archive (file, string, etc.)
file | QxClone.h

| Clone all classes registered into QxOrm context using QxOrm library serialization engine.
file | QxDump.h

| Dump all classes registered into QxOrm context using XML serialization engine.
file | QxSerialize.h

| Include all files necessary to serialize most used classes defined into stl, boost and Qt libraries.
## Functions
template<class T >
T * | qx::clone_to_nude_ptr (const T &obj)
| qx::clone_to_nude_ptr(const T & obj) : return a nude pointer (be careful with memory leak) of a new instance of type T cloned from obj
template<class T >
boost::shared_ptr< T > | qx::clone (const T &obj)
| qx::clone(const T & obj) : return a boost smart-pointer (boost::shared_ptr<T>) of a new instance of type T cloned from obj
template<class T >
QSharedPointer< T > | qx::clone_to_qt_shared_ptr (const T &obj)
| qx::clone_to_qt_shared_ptr(const T & obj) : return a Qt smart-pointer (QSharedPointer<T>) of a new instance of type T cloned from obj
template<class T >
void | qx::dump (const T &t)
| qx::dump(const T & t) : dump class of type T registered into QxOrm context using XML serialization engine

## Function Documentation

template<class T >

boost::shared_ptr<T> qx::clone | ( | const T & | obj | ) |

qx::clone(const T & obj) : return a boost smart-pointer (boost::shared_ptr<T>) of a new instance of type T cloned from obj

Definition at line 93 of file QxClone.h.

template<class T >

T* qx::clone_to_nude_ptr | ( | const T & | obj | ) |

qx::clone_to_nude_ptr(const T & obj) : return a nude pointer (be careful with memory leak) of a new instance of type T cloned from obj

Definition at line 61 of file QxClone.h.

template<class T >

QSharedPointer<T> qx::clone_to_qt_shared_ptr | ( | const T & | obj | ) |

qx::clone_to_qt_shared_ptr(const T & obj) : return a Qt smart-pointer (QSharedPointer<T>) of a new instance of type T cloned from obj

Definition at line 101 of file QxClone.h.

template<class T >

void qx::dump | ( | const T & | t | ) |

qx::dump(const T & t) : dump class of type T registered into QxOrm context using XML serialization engine

Definition at line 54 of file QxDump.h.

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines